mDocs Credentials
Create an mDocs Credential configuration
/v2/credentials/mobile/configurationsAuthorization
bearerAuth In: header
Request Body
application/json
The mDocs configuration payload
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v2/credentials/mobile/configurations" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "branding": { "name": "string", "description": "string", "backgroundColor": "string", "watermarkImage": "string", "issuerLogo": "string", "issuerIcon": "string" }, "includeStatus": false, "type": "string", "claimMappings": { "additionalProperties": { "additionalProperties": { "mapFrom": "string", "type": "boolean", "required": false, "defaultValue": "string", "display": [ { "name": "string", "locale": "string" } ] } } }, "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60", "expiresIn": { "years": 0, "months": 0, "weeks": 0, "days": 0, "hours": 0, "minutes": 0, "seconds": 0 }, "validFrom": { "mapFrom": "string" }, "validUntil": { "mapFrom": "string" }}Retrieve all mDocs Credential configurations
/v2/credentials/mobile/configurationsAuthorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1 <= value <= 1000100Starting point for the list of entries.
Optional credential type to filter on
Response Body
application/json
application/json
curl -X GET "https://example.com/v2/credentials/mobile/configurations"{ "nextCursor": "string", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "branding": { "name": "string", "description": "string", "backgroundColor": "string", "watermarkImage": "string", "issuerLogo": "string", "issuerIcon": "string" }, "includeStatus": false, "type": "string", "claimMappings": { "additionalProperties": { "additionalProperties": { "mapFrom": "string", "type": "boolean", "required": false, "defaultValue": "string", "display": [ { "name": "string", "locale": "string" } ] } } }, "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60", "expiresIn": { "years": 0, "months": 0, "weeks": 0, "days": 0, "hours": 0, "minutes": 0, "seconds": 0 }, "validFrom": { "mapFrom": "string" }, "validUntil": { "mapFrom": "string" } } ]}Retrieve an mDocs Credential configuration
/v2/credentials/mobile/configurations/{id}Authorization
bearerAuth In: header
Path Parameters
mDocs configuration ID
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/credentials/mobile/configurations/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "branding": { "name": "string", "description": "string", "backgroundColor": "string", "watermarkImage": "string", "issuerLogo": "string", "issuerIcon": "string" }, "includeStatus": false, "type": "string", "claimMappings": { "additionalProperties": { "additionalProperties": { "mapFrom": "string", "type": "boolean", "required": false, "defaultValue": "string", "display": [ { "name": "string", "locale": "string" } ] } } }, "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60", "expiresIn": { "years": 0, "months": 0, "weeks": 0, "days": 0, "hours": 0, "minutes": 0, "seconds": 0 }, "validFrom": { "mapFrom": "string" }, "validUntil": { "mapFrom": "string" }}Update an mDocs Credential configuration
/v2/credentials/mobile/configurations/{id}Authorization
bearerAuth In: header
Path Parameters
mDocs configuration ID
uuidRequest Body
application/json
Update an mDocs configuration
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/credentials/mobile/configurations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "branding": { "name": "string", "description": "string", "backgroundColor": "string", "watermarkImage": "string", "issuerLogo": "string", "issuerIcon": "string" }, "includeStatus": false, "type": "string", "claimMappings": { "additionalProperties": { "additionalProperties": { "mapFrom": "string", "type": "boolean", "required": false, "defaultValue": "string", "display": [ { "name": "string", "locale": "string" } ] } } }, "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60", "expiresIn": { "years": 0, "months": 0, "weeks": 0, "days": 0, "hours": 0, "minutes": 0, "seconds": 0 }, "validFrom": { "mapFrom": "string" }, "validUntil": { "mapFrom": "string" }}Delete an mDocs Credential configuration
/v2/credentials/mobile/configurations/{id}Authorization
bearerAuth In: header
Path Parameters
mDocs configuration ID
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.com/v2/credentials/mobile/configurations/497f6eca-6276-4993-bfeb-53cbbbba6f08"How would you rate this page?
Last updated on